<div class="note_div" *ngIf="groupId==0">
    <h4><i class="fa fa-exclamation-triangle"></i> You need to activate your account to register yourself as a seller or
        buyer
    </h4>
</div>
<section class="Cart_section">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="custom_tab_for_stepper">
                    <div class="board" style="margin-top:0;">
                        <ul class="nav nav-tabs" style="margin-top:0;">
                            <li rel-index="0" class="active">
                                <a href="javascript:void(0)" class="btn" (click)="onClickorderDetails()"
                                    id="order_details_step" aria-controls="step-1" role="tab" data-toggle="tab">
                                    <span class="step-number material-icons"
                                        style="font-size:19px;font-weight:600;">done</span>Order Details
                                </a>
                            </li>
                            <li rel-index="1" [attr.class]="showConfirmAndPay==true? 'active':''">
                                <a href="javascript:void(0)" id="confirm_and_pay_step" class="btn"
                                    (click)="onClickConfirmAndPay()" aria-controls="step-2" role="tab"
                                    data-toggle="tab">
                                    <span class="step-number material-icons"
                                        style="font-size:19px;font-weight:600;">done</span>Confirm & Pay
                                </a>
                            </li>
                            <li rel-index="2" [attr.class]="showsubmitRequirements==true? 'active':''">
                                <a href="javascript:void(0)" id="submit_requirement_step" class="btn"
                                    (click)="onClickSubmitRequirements()" aria-controls="step-3" role="tab"
                                    data-toggle="tab">
                                    <span class="step-number material-icons"
                                        style="font-size:19px;font-weight:600;">done</span>Submit Requirements
                                </a>
                            </li>
                        </ul>
                    </div>
                    <div class="tab-content">
                        <div role="tabpanel"
                            [attr.class]="activeTab=='order_details'? 'tab-pane fade in active':'tab-pane fade'"
                            id="step-1" *ngIf="activeTab=='order_details' && showOrderDetails==true">
                            <h2 class="Review_or_update_package">Review or Update your package</h2>
                            <div class="row">
                                <div class="col-md-7">
                                    <div class="summary">
                                        <div>
                                            <!-- style="padding-bottom: 32px;" -->
                                            <div class="gig-summary">
                                                <a href="javascript:void(0)" class="gig-picture-link">
                                                    <img src="{{cartDetails?.gallery[0]?.file_path}}" width="150">
                                                </a>
                                                <div>
                                                    <p class="gig-title">
                                                        <a (click)="showgigDetails()" style="cursor: pointer;"
                                                            class="text-body-1">{{cartDetails?.title}}</a>
                                                    </p>

                                                    <div class="pricing">
                                                        <label class="quantity">
                                                            <span>Qty</span>
                                                            <select class="form-control form_control_border_radius"
                                                                name="quantity_main" [(ngModel)]="getQuantity_main.id"
                                                                (change)="onQuantityMainChange()">
                                                                <option *ngFor="let option of quantityList"
                                                                    value={{option.id}}>
                                                                    {{option.qty}}
                                                                </option>
                                                            </select>
                                                        </label>
                                                        <span class="price text-left"><b>
                                                            {{cartDetails?.gigs_pricing?.gig_price.price | currency: 'INR':'symbol':'1.0-0'}}</b></span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="package" style="display: block;">
                                            <p>{{cartDetails?.description}}</p>
                                            <section class="package-summary">
                                                <ul class="checklist compact">
                                                    <ng-container
                                                        *ngFor="let item of gig_Packages_block?.CheckBoxDetails">
                                                        <ng-container *ngIf="item.checkBoxValue==true">
                                                            <li><span>{{item.checkBoxName}}</span></li>
                                                        </ng-container>
                                                    </ng-container>
                                                </ul>
                                            </section>
                                        </div>

                                        <hr style="width: 100%;" />

                                        <div class="upgrades" style="width: 100%;"
                                            *ngIf="cartDetails?.extra_services?.length>0">
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <h4 class="Add_Extra_text">Add Extras</h4>
                                                </div>
                                            </div>
                                            <div class="">
                                                <ul class="list-group">
                                                    <ng-container *ngFor="let item of cartDetails?.extra_services">
                                                        <li class="list-group-item">
                                                            <label class="checkbox">
                                                                <input class="styled-checkbox"
                                                                    [(ngModel)]="item.extra_check"
                                                                    id="{{'extra_check_'+item.id}}"
                                                                    [name]="'extra_check_'+item.id" type="checkbox"
                                                                    (change)="onExtraCheckChange(item)" />
                                                                <span class="default"></span>
                                                                <!-- <input class="styled-checkbox" [(ngModel)]="item.checkBoxSilver" id="{{'checkBoxSilver_'+item.id}}" [name]="'checkBoxSilver_'+item.id" type="checkbox" >
                                  <label for="{{'checkBoxSilver_'+item.id}}" style="z-index: 1;"> </label> -->
                                                            </label>
                                                            <div class="row">
                                                                <div class="col-md-8">
                                                                    <h6 class="cart_headtext">
                                                                        {{item.price_extra_service?.title}}
                                                                        <small
                                                                            *ngIf="item.extra_day>1">({{item.extra_day}})
                                                                            days</small>
                                                                        <small
                                                                            *ngIf="item.extra_day==1">({{item.extra_day}})
                                                                            day</small>
                                                                    </h6>
                                                                    <p class="cart_subtext">
                                                                        {{item.price_extra_service?.description}}</p>
                                                                </div>
                                                                <div class="col-md-4 text-right pd_0">
                                                                    <h6 class="price">
                                                                        {{item.extra_price | currency: 'INR':'symbol':'1.0-0'}}
                                                                    </h6>
                                                                </div>

                                                                <ng-container
                                                                    *ngIf="item.extra_check==true && item.id!=1">
                                                                    <label class="quantity_absolute">
                                                                        <span
                                                                            style="line-height: 2;margin-right: 8px;">Qty</span>
                                                                        <select
                                                                            class="form-control form_control_border_radius"
                                                                            name="quantity_main"
                                                                            [(ngModel)]="item.extra_qty"
                                                                            [name]="('extraQty_'+item.id)"
                                                                            (change)="onQuantityExtraChange(item)">
                                                                            <option *ngFor="let option of quantityList"
                                                                                value={{option.id}}>
                                                                                {{option.qty}}
                                                                            </option>
                                                                        </select>
                                                                    </label>
                                                                </ng-container>
                                                            </div>
                                                        </li>
                                                    </ng-container>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-5">
                                    <div class="summary_div" data-spy="affix" data-offset-top="197">
                                        <div class="card" style="background-color: #fafafa;">
                                            <div class="card-body">
                                                <h4 style="margin-bottom: 20px;">Order Summary</h4>
                                                <div class="row mb-3">
                                                    <div class="col-md-7 col-xs-6">Subtotal</div>
                                                    <div class="col-md-5 col-xs-6 text-right">
                                                        {{subTotal | currency: 'INR':'symbol':'1.0-0'}}
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-7 col-xs-6">Service Fee <i
                                                            class="fa fa-info-circle"
                                                            title="24/7 customer support for your orders"></i> </div>
                                                    <div class="col-md-5 col-xs-6 text-right">
                                                        {{serviceFee | currency: 'INR':'symbol':'1.0-0'}}
                                                    </div>
                                                </div>
                                                <hr />
                                                <div class="row mb-3">
                                                    <div class="col-md-7 col-xs-6"><b>Total</b></div>
                                                    <div class="col-md-5 col-xs-6 text-right"><b>
                                                            {{totalCartValue | currency: 'INR':'symbol':'1.0-0'}}</b>
                                                    </div>
                                                </div>

                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <button (click)="onContinueClick()" [disabled]="groupId==3"
                                                            [attr.class]="groupId==3 ? 'btn btn-secondary btn-block':'btn btn-primary btn-block btn_to_checkout_btn'">Continue
                                                            to Checkout</button>
                                                        <!-- <a href="javascript:void(0)" *ngIf="groupId==0"
                                                        class="btn btn-primary btn-block btn_to_checkout_btn disabled_btn">Continue
                                                        to Checkout</a> -->
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-12 text-center">
                                                        <h6 class="you_wont_text">By placing your order, you agree to
                                                            Taskmer's privacy notice and conditions of use.</h6>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="payment-logos"></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div role="tabpanel"
                            [attr.class]="activeTab=='confirm_pay'? 'tab-pane fade in active':'tab-pane fade'"
                            id="step-2" *ngIf="activeTab=='confirm_pay' && showConfirmAndPay==true">
                            <div class="row">
                                <div class="col-md-12">
                                    <h2 style="font-size: 23px;margin-bottom: 15px;font-weight: 500;">Payment Checkout</h2>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-7">
                                    <div class="sap_tabs">
                                        <div id="horizontalTab" style="display: block; width: 100%; margin: 0px;">
                                            <div class="card" style="border-radius: 0px;">
                                                <div class="card-body">
                                                    <div class="gig-summary" style="display: flex;">
                                                        <a class="gig-picture-link">
                                                            <img src="{{cartDetails?.gallery[0]?.file_path}}" width="90"
                                                                style="width: 90px;">
                                                        </a>
                                                        <div>
                                                            <p class="gig-title">
                                                                <a (click)="showgigDetails()" style="cursor: pointer;" class="text-body-1">{{cartDetails?.title}}</a>
                                                            </p>
                                                        </div>
                                                    </div>
                                                    <hr />
                                                    <div class="row" style="margin-bottom: 20px;">
                                                        <div class="col-md-8 col-xs-8">
                                                            <h4 class="landing_text">
                                                                {{cartDetails.gigs_pricing.gig_price.price_type.price_type_name+'
                                                                - '+getQuantity_main.id+ ' Qty'}}
                                                            </h4>
                                                        </div>
                                                        <div class="col-md-4 col-xs-4 text-right">
                                                            <h4 class="Landing_price">
                                                                <!-- {{packageAmount==undefined ||
                                                                packageAmount==null?'':packageAmount.toString().replace('.00','')}} -->
                                                                {{cartDetails.gigs_pricing.gig_price.price | currency: 'INR':'symbol':'1.0-0'}}
                                                            </h4>
                                                        </div>
                                                    </div>
                                                    <div class="panel-group"
                                                        *ngIf="extraServicesIncluded!=null && extraServicesIncluded!=undefined && extraServicesIncluded?.length>0">
                                                        <div class="panel panel-default"
                                                            style="border: none;box-shadow: none;">
                                                            <div class="panel-heading"
                                                                style="background-color: transparent;padding: 0; margin-bottom: 25px;">
                                                                <h4 class="panel-title">
                                                                    <a data-toggle="collapse" href="#collapse1"
                                                                        class="include_in_package" style="color: #19b5fe;vertical-align: middle;">Extra Services <i
                                                                            class="ti-angle-down" style="font-size: 13px;font-weight: 900;"></i></a>
                                                                </h4>
                                                            </div>
                                                            <div id="collapse1" class="panel-collapse collapse"
                                                                style="margin-top: 10px;">
                                                                <ng-container
                                                                    *ngFor="let item of extraServicesIncluded">
                                                                    <div class="row">
                                                                        <div class="col-md-6 col-xs-6">
                                                                            <h4 class="landing_text extra_services_text">
                                                                                {{item.price_extra_service.title}}</h4>
                                                                        </div>
                                                                        <div class="col-md-2  col-xs-2 noPadding_mobile">
                                                                            <h4 class="landing_text extra_services_text">
                                                                                {{' - ' + item.extra_qty + ' Qty'}}</h4>
                                                                        </div>
                                                                        <div class="col-md-4 col-xs-4 text-right ">
                                                                            <h4 class="Landing_price extra_services_text">
                                                                                {{item.extra_price | currency: 'INR':'symbol':'1.0-0'}}
                                                                            </h4>
                                                                        </div>
                                                                    </div>
                                                                    <!-- <div class="row">
                                                                        <div class="col-md-1"><i
                                                                                class="fa fa-check check_style"></i></div>
                                                                        <div class="col-md-11" style="color: #b4b4b4;">
                                                                            {{item.price_extra_service.title}}</div>
                                                                    </div> -->
                                                                </ng-container>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row mb-3">
                                                        <div class="col-md-8 col-xs-8"><i class="fa fa-clock-o"
                                                                style="margin-right: 5px;"></i>Delivery Time</div>
                                                        <div class="col-md-4 col-xs-4 text-right"
                                                            *ngIf="deliveryTimeFinal>1">
                                                            {{deliveryTimeFinal}} Days</div>
                                                        <div class="col-md-4 col-xs-4 text-right"
                                                            *ngIf="deliveryTimeFinal==1">
                                                            {{deliveryTimeFinal}} Day</div>
                                                    </div>
                                                </div>
                                            </div>
                                            <!-- <div class="pay-tabs">
                                                <ul class="resp-tabs-list">
                                                    <li class="resp-tab-item" aria-controls="tab_item-0" role="tab">
                                                        <span><label class="pic1"></label>Credit/Credit Card</span>
                                                    </li>
                                                    <li class="resp-tab-item" aria-controls="tab_item-1" role="tab">
                                                        <span><label class="pic3"></label>Net Banking</span>
                                                    </li>
                                                    <div class="clear"></div>
                                                </ul>
                                            </div>
                                            <div class="resp-tabs-container">
                                                <div class="tab-1 resp-tab-content" aria-labelledby="tab_item-0">
                                                    <div class="payment-info">
                                                        <form>
                                                            <div class="tab-for">
                                                                <h5>CARD NAME</h5>
                                                                <input type="text" value="">
                                                                <h5>CARD NUMBER</h5>
                                                                <input class="pay-logo" type="text"
                                                                    value="0000-0000-0000-0000"
                                                                    onfocus="this.value = '';"
                                                                    onblur="if (this.value == '') {this.value = '0000-0000-0000-0000';}"
                                                                    required="">
                                                            </div>
                                                            <div class="transaction">
                                                                <div class="tab-form-left user-form">
                                                                    <h5>EXPIRATION</h5>
                                                                    <ul>
                                                                        <li>
                                                                            <input type="number" class="text_box"
                                                                                type="text" value="6" min="1" />
                                                                        </li>
                                                                        <li>
                                                                            <input type="number" class="text_box"
                                                                                type="text" value="1988" min="1" />
                                                                        </li>

                                                                    </ul>
                                                                </div>
                                                                <div class="tab-form-right user-form-rt">
                                                                    <h5>CVV NUMBER</h5>
                                                                    <input type="text" value="xxxx xxxx xxxx xxxx"
                                                                        onfocus="this.value = '';"
                                                                        onblur="if (this.value == '') {this.value = 'xxxx xxxx xxxx xxxx';}"
                                                                        required="">
                                                                </div>
                                                                <div class="clear"></div>
                                                            </div>
                                                            <a href="submit_requirements.html"
                                                                class="btn btn-primary mt-0 mb-3"
                                                                value="SUBMIT">SUBMIT</a>
                                                        </form>
                                                        <div style="white-space: nowrap;">
                                                            <input class="styled-checkbox" id="styled-checkbox-113"
                                                                type="checkbox" value="value113">
                                                            <label for="styled-checkbox-113">By checking this box, I
                                                                agree to the Terms & Conditions & Privacy
                                                                Policy.</label>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="tab-1 resp-tab-content" aria-labelledby="tab_item-1">
                                                    <div class="payment-info">
                                                        <div class="row">
                                                            <div class="col-md-6">
                                                                <div class="">
                                                                    <label class="radio">Andhra Bank
                                                                        <input type="radio" name="Styles"
                                                                            value="Not Defined">
                                                                        <span class="checkround"></span>
                                                                    </label>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="">
                                                                    <label class="radio">Allahabad Bank
                                                                        <input type="radio" name="Styles"
                                                                            value="Allahabad Bank">
                                                                        <span class="checkround"></span>
                                                                    </label>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="">
                                                                    <label class="radio">Bank of Baroda
                                                                        <input type="radio" name="Styles"
                                                                            value="Bank of Baroda">
                                                                        <span class="checkround"></span>
                                                                    </label>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="">
                                                                    <label class="radio">Bank of Baroda
                                                                        <input type="radio" name="Styles"
                                                                            value="Bank of Baroda">
                                                                        <span class="checkround"></span>
                                                                    </label>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="">
                                                                    <label class="radio">Icici Bank
                                                                        <input type="radio" name="Styles"
                                                                            value="Icici Bank">
                                                                        <span class="checkround"></span>
                                                                    </label>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="">
                                                                    <label class="radio">Punjab National Bank
                                                                        <input type="radio" name="Styles"
                                                                            value="Bank of Baroda">
                                                                        <span class="checkround"></span>
                                                                    </label>
                                                                </div>
                                                            </div>
                                                            <div class="col-md-6">
                                                                <div class="">
                                                                    <label class="radio">State Bank Of India
                                                                        <input type="radio" name="Styles"
                                                                            value="State Bank Of India">
                                                                        <span class="checkround"></span>
                                                                    </label>
                                                                </div>
                                                            </div>
                                                        </div>

                                                        <div class="row">
                                                            <div class="col-md-12">
                                                                <a href="submit_requirements.html"
                                                                    class="btn btn-primary continue_payment_option_btn">Continue</a>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div> -->
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-5 checkout_section" style="padding: 0px 0px;">
                                    <div class="summary_div" data-spy="affix" data-offset-top="197"
                                        style="margin: 0 auto;width: 72%;">
                                        <div class="card" style="border-radius: 0px;">
                                            <div class="card-body">
                                                <h4>PRICE DETAILS</h4>
                                                <!-- <div class="gig-summary">
                                                    <a href="/aabbro/do-web-template-design-and-landing-page-by-psd-xd-or-figma"
                                                        class="gig-picture-link">
                                                        <img src="{{cartDetails?.gallery[0]?.file_path}}" width="90"
                                                            style="width: 90px;">
                                                    </a>
                                                    <div>
                                                        <p class="gig-title">
                                                            <a href="/aabbro/do-web-template-design-and-landing-page-by-psd-xd-or-figma"
                                                                class="text-body-1">{{cartDetails?.title}}</a>
                                                        </p>
                                                    </div>
                                                </div> -->
                                                <hr />
                                                <div class="row">
                                                    <div class="col-md-5 col-xs-5">Mobile No<span class="star_mark">*</span></div>
                                                    <div class="col-md-7 col-xs-7 text-right">
                                                        <form>
                                                            <input type="text" class="form-control" maxlength="10" 
                                                                placeholder="Enter Mobile No" name="txt_buyer_mobile_no"
                                                                [(ngModel)]="buyer_mobile_no" (keypress)="onlyNumbers($event)"
                                                                #txt_buyer_mobile_no="ngModel" autocomplete="off">
                                                        </form>
                                                    </div>
                                                </div>
                                                <hr />
                                                <!-- <div class="row">
                                                    <div class="col-md-8 col-xs-8">
                                                        <h4 class="landing_text">{{cartDetails?.description}}</h4>
                                                    </div>
                                                    <div class="col-md-4 col-xs-4 text-right">
                                                        <h4 class="Landing_price">
                                                            {{packageAmount | currency: 'INR':'symbol':'1.0-0'}}
                                                        </h4>
                                                    </div>
                                                </div> 
                                                <div class="panel-group"
                                                    *ngIf="extraServicesIncluded!=null && extraServicesIncluded!=undefined && extraServicesIncluded?.length>0">
                                                    <div class="panel panel-default"
                                                        style="border: none;box-shadow: none;">
                                                        <div class="panel-heading"
                                                            style="background-color: transparent;padding: 0;">
                                                            <h4 class="panel-title">
                                                                <a data-toggle="collapse" href="#collapse1"
                                                                    class="include_in_package">See what's included <i
                                                                        class="ti-angle-down"></i></a>
                                                            </h4>
                                                        </div>
                                                        <div id="collapse1" class="panel-collapse collapse"
                                                            style="margin-top: 10px;">
                                                            <ng-container *ngFor="let item of extraServicesIncluded">
                                                                <div class="row">
                                                                    <div class="col-md-1"><i
                                                                            class="fa fa-check check_style"></i></div>
                                                                    <div class="col-md-11" style="color: #b4b4b4;">
                                                                        {{item.price_extra_service.title}}</div>
                                                                </div>
                                                            </ng-container>
                                                        </div>
                                                    </div>
                                                </div>

                                                <hr />-->
                                                <div class="row">
                                                    <div class="col-md-8 col-xs-8">Subtotal</div>
                                                    <div class="col-md-4 col-xs-4 text-right">
                                                        {{subTotal | currency: 'INR':'symbol':'1.0-0'}}
                                                    </div>
                                                </div>
                                                <hr />
                                                <div class="row">
                                                    <div class="col-md-8 col-xs-8">Service Fee <i
                                                            class="fa fa-info-circle"
                                                            title="24/7 customer support for your orders"></i> </div>
                                                    <div class="col-md-4 col-xs-4 text-right"> {{serviceFee | currency: 'INR':'symbol':'1.0-0'}}</div>
                                                </div>
                                                <hr />
                                                <div class="row mb-3">
                                                    <div class="col-md-8 col-xs-8"><b
                                                            style="font-weight: 600;color:#494949;font-size: 16px;">Amount
                                                            Payable</b>
                                                    </div>
                                                    <div class="col-md-4 col-xs-4 text-right"><b
                                                            style="font-weight: 600;color:#494949;font-size: 16px;">
                                                            {{totalCartValue | currency: 'INR':'symbol':'1.0-0'}}</b>
                                                    </div>
                                                </div>
                                                <div class="row mb-3" *ngIf="taskmer_wallet_amount>0">
                                                    <div class="col-md-5 col-xs-12">
                                                        <input type="checkbox" class="styled-checkbox Suggest_chekbox"
                                                            [name]="'is_tick_taskmer_wallet'" checked="checked"
                                                            [(ngModel)]="is_tick_taskmer_wallet"
                                                            id="'is_tick_taskmer_wallet'">
                                                        <label for="'is_tick_taskmer_wallet'"
                                                            style="font-weight: 500;color: #7c7c7c;">Taskmer Wallet</label>
                                                    </div>
                                                    <div class="col-md-7 col-xs-12 text-right available_balance_text_align_mobile">
                                                        <span *ngIf="is_tick_taskmer_wallet==false">(Available
                                                            Balance)</span><span
                                                            *ngIf="is_tick_taskmer_wallet==true">(Remaining
                                                            Balance)</span>
                                                        {{is_tick_taskmer_wallet==true?(taskmer_wallet_amount>totalCartValue?(taskmer_wallet_amount-totalCartValue):0):taskmer_wallet_amount | currency: 'INR':'symbol':'1.0-0'}}
                                                    </div>
                                                </div>
                                                <div class="row">
                                                    <div class="col-md-12">
                                                        <a href="javascript:void(0)"
                                                            class="btn btn-primary btn-block Continue_Pay_btn"
                                                            (click)="onSubMitPayment()">Continue & Pay
                                                            ({{is_tick_taskmer_wallet==true?(taskmer_wallet_amount>totalCartValue?0:(totalCartValue-taskmer_wallet_amount)):totalCartValue | currency: 'INR':'symbol':'1.0-0'}})</a>
                                                        <button id="myCheck" style="display: none;"
                                                            class="btn btn-primary btn-block Continue_Pay_btn"
                                                            (click)="onABCClick()">ABC</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div role="tabpanel"
                            [attr.class]="activeTab=='submit_requirement'? 'tab-pane fade in active':'tab-pane fade'"
                            id="step-3" *ngIf="activeTab=='submit_requirement' && showsubmitRequirements==true">
                            <h2 _ngcontent-enp-c501="" style="font-size: 23px; margin-bottom: 15px; font-weight: 500;">
                                Submit Requirements</h2>
                            <div class="row">
                                <div class="col-md-6 col-xs-12 offset-3 text-center mobile_margin_left_0_mobile">
                                    <div class="pay-tabs" style="padding: 1.5em 1.5em 1.5em 1.5em;">
                                        <span class="material-icons"
                                            style="font-size: 40px;color: #3AD5A0;margin-bottom: 10px;font-weight: 100;">check_circle_outline</span>
                                        <h2 style="font-size: 23px;margin-bottom: 15px;font-weight: 500;">Thank You</h2>
                                        <p>Your order has been successfully placed.</p>
                                        <p>Your order number is <b style="color: #19b5fe;">{{order_no}}</b></p>
                                        <p class="mt-4 mb-3 text-left"
                                            *ngIf="cartRequirementDetails?.requirement.length>0">You need to submit your
                                            additional details to seller, to start working on this order.</p>
                                        <div class="submit_additional_details_css">
                                            <form>
                                                <ng-container
                                                    *ngFor="let item of cartRequirementDetails?.requirement; let i=index">
                                                    <div class="form-group">
                                                        <h6>Q.{{i+1}} {{item.question}} <span class="star_mark"
                                                                *ngIf="item.is_mandatory==true">*</span>&nbsp;<span
                                                                *ngIf="item.question_form?.id==3"
                                                                style="font-weight: 300;color: #ff0000;">(image/pdf/audio/video/pptx/docx/txt/xlsx)</span>
                                                        </h6>
                                                        <button type="button" value="DisplayFileErrorMsg"
                                                            id="fileErrorMsg" style="display:none;"
                                                            (click)="displayFileErrorMsg()"></button>
                                                        <input *ngIf="item.question_form?.id==1" type="text"
                                                            maxlength="200" class="form-control"
                                                            [id]="'requirementAnsText_'+item.id"
                                                            [name]="'requirementAnsText_'+item.id" placeholder="answer"
                                                            [(ngModel)]="item.ansText" />

                                                        <div class="select_option"
                                                            *ngIf="item.question_form?.id==2 && item.is_multiselect==false">
                                                            <select class="form-control"
                                                                [name]="'requirementAnsDropDown_'+item.id"
                                                                [id]="'requirementAnsDropDown_'+item.id"
                                                                [(ngModel)]="item.ansDropDown">
                                                                <option value="0">Select from list</option>
                                                                <option *ngFor="let option of item.gig_description"
                                                                    value={{option.description}}>{{option.description}}
                                                                </option>
                                                            </select>
                                                        </div>
                                                        <div style="display: inline-flex;"
                                                            *ngIf="item.question_form?.id==2 && item.is_multiselect==true">
                                                            <div style="white-space: nowrap;"
                                                                *ngFor="let option of item.gig_description">
                                                                <input class="styled-checkbox"
                                                                    id="{{'requirementAnsCheckBox_'+option.id}}"
                                                                    [(ngModel)]="option.check" type="checkbox"
                                                                    [name]="'requirementAnsCheckBox_'+option.id"
                                                                    (change)="onrequirementCheckChange(item.id,option.id,option.description,option.check)">
                                                                <label for="{{'requirementAnsCheckBox_'+option.id}}"
                                                                    style="margin-right: 20px;z-index: 1;">
                                                                    {{option.description}}</label>



                                                            </div>
                                                        </div>
                                                        <div style="display: inline-flex;"
                                                            *ngIf="item.question_form?.id==3">
                                                            <div class="photo_upload">
                                                                <ng-container *ngFor='let url of item.urls'>
                                                                    <label class="newbtn newbtn_photo">
                                                                        <div class="imgMask"
                                                                            *ngIf="url.file_path!=null">
                                                                            <div class="imgMask-content">
                                                                                <button class="profile_img">
                                                                                    <img [attr.id]="(url.id)"
                                                                                        [src]="url.file_path"
                                                                                        title="" />
                                                                                    <i class="fa fa-times-circle image-cancel isDisabled"
                                                                                        (click)="deleteImage(url,item)"></i>
                                                                                </button>
                                                                            </div>
                                                                        </div>
                                                                    </label>
                                                                </ng-container>
                                                                <label class="newbtn newbtn_photo"
                                                                    *ngIf="item.urls?.length<3">
                                                                    <div class="imgMask">
                                                                        <div class="imgMask-content">
                                                                            <button
                                                                                class="profile_img byDefaultUploadImg">
                                                                                <img src="assets/img/img_upload.svg"
                                                                                    class="img-responsive" />
                                                                                <!-- <h6>Browse</h6> -->
                                                                            </button>
                                                                            <input type="file" name="file_image[]"
                                                                                id="file_image" #file_image
                                                                                (change)="fileChanged($event,item)"
                                                                                multiple autocomplete="off" />
                                                                        </div>
                                                                    </div>
                                                                </label>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </ng-container>
                                                <button style="text-align: center !important;margin-top: 25px;"
                                                    *ngIf="is_back_to_order==false"
                                                    class="btn btn-primary submit_requirement_btn mt-3"
                                                    (click)="onSubmitRequirement()">Submit</button>
                                                <button style="text-align: center !important;width: 21%;margin-top: 25px;"
                                                    *ngIf="is_back_to_order==true"
                                                    class="btn btn-primary submit_requirement_btn mt-3 pull-right"
                                                    (click)="back_to_order()">Back to Order</button>
                                            </form>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>